# PropertyActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A PropertyActuator is a special kind of a general actuator More...

`#include <propertyactuator.h>`

Inherits: Actuator

## Public Members

- PropertyActuator ()
- ~PropertyActuator ()
- PyObject* setProperty (char* name)
- PyObject* getProperty ()
- PyObject* setValue (char* value)
- PyObject* getValue ()

## Detailed Description

A PropertyActuator is a special kind of a general actuator.

## PyObject* setProperty(char* name)

Set the property on which to operate. If there is no property of this name, the call is ignored.

## PyObject* getProperty()

Return the property on which the actuator operates.

## PyObject* setValue(char* value)

Set the value with which the actuator operates. If the value is not compatible with the type of the property, the subsequent action is ignored.

## PyObject* getValue()

Returns the value with which the actuator operates.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc